using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KstCMS.BLL.SiteBLL
{
    public class SysSubMenu:BaseBLL
    {
        private KstCMS.DAL.ISysSubMenu ISubMenu;
        public SysSubMenu()
        {
            if (DBType == "1")
                ISubMenu =new  KstCMS.DAL.OleDB.SysSubMenu();
            //else  SQL数据库
        }
        public int Add(KstCMS.Model.SiteModel.SysSubMenu Model)
        {
            return ISubMenu.Add(Model);
        }

        public void Delete(string MENU_ID)
        {
            ISubMenu.Delete(MENU_ID);
        }

        public void Update(KstCMS.Model.SiteModel.SysSubMenu Model)
        {
            ISubMenu.Update(Model);
        }

        public System.Data.DataSet Get_SubMenuList(string Mid)
        {
            return ISubMenu.GetList(string.Format("MENU_ID like {0}%", Mid), string.Empty, 0);
        }

        public System.Data.DataSet GetList(string strWhere, string Orderby, int Top, params string[] FieldNames)
        {
            return ISubMenu.GetList(strWhere, string.Empty, Top, FieldNames);
        }

        public KstCMS.Model.SiteModel.SysSubMenu GetModel(int ID)
        {
            return ISubMenu.GetModel(ID);
        }

        public bool Exists(string MENU_CODE)
        {
            return ISubMenu.Exists(MENU_CODE);
        }

        public KstCMS.Model.SiteModel.SysSubMenu GetModel(int id, params string[] FieldNames)
        {
            return ISubMenu.GetModel(id, FieldNames);
        }

        public KstCMS.Model.SiteModel.SysSubMenu GetModel(string Menu_ID, params string[] FieldNames)
        {
            return ISubMenu.GetModel(Menu_ID, FieldNames);
        }



    }
}
